[Haskell-cafe] Haskell platform for GHC 6.12.1?

Thomas Schilling nominolo at googlemail.com
Fri Mar 5 16:29:05 EST 2010

GHC 6.12 changed the format of the internal package database.  Only
cabal-install 0.8 can read this format properly.  Version 0.8 is only
available on Hackage, the binaries available are cabal-install 0.6.2.
I assume part of the platform release effort is to create new
cabal-install binaries.

On 4 March 2010 18:41, Andrew Coppin <andrewcoppin at btinternet.com> wrote:
> Peter Verswyvelen wrote:
>> Using GHC 6.12.1 on Windows currently is hard, since one must compile
>> the latest version of cabal-install, which is a nightmare to do for a
>> typical windows user
> Out of curiosity, why do you need to compile the latest version of
> cabal-install? Why can't you use the precompiled one?
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe at haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe

Push the envelope.  Watch it bend.

More information about the Haskell-Cafe mailing list